Loading...
Searching...
No Matches
flex.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Element | filler ()
| An element that will take expand proportionally to the space left in a container.
Element | flex (Element child)
| Make a child element to expand proportionally to the space left in a container.
Element | xflex (Element child)
| Expand/Minimize if possible/needed on the X axis.
Element | yflex (Element child)
| Expand/Minimize if possible/needed on the Y axis.
Element | flex_grow (Element child)
| Expand if possible.
Element | xflex_grow (Element child)
| Expand if possible on the X axis.
Element | yflex_grow (Element child)
| Expand if possible on the Y axis.
Element | flex_shrink (Element child)
| Minimize if needed.
Element | xflex_shrink (Element child)
| Minimize if needed on the X axis.
Element | yflex_shrink (Element child)
| Minimize if needed on the Y axis.
Element | notflex (Element child)
| Make the element not flexible.